/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: Cell.idl,v $
 * $Revision: 1.7 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

#ifndef __com_sun_star_table_Cell_idl__
#define __com_sun_star_table_Cell_idl__

#ifndef __com_sun_star_table_CellProperties_idl__
#include <com/sun/star/table/CellProperties.idl>
#endif

#ifndef __com_sun_star_table_XCell_idl__
#include <com/sun/star/table/XCell.idl>
#endif

#ifndef __com_sun_star_text_XText_idl__
#include <com/sun/star/text/XText.idl>
#endif

//=============================================================================

module com {  module sun {  module star {  module table {

//=============================================================================

/** represents a singe cell within a table.
 */
published service Cell
{
    //-------------------------------------------------------------------------

    /** contains the properties of the table cell.
       */
    service com::sun::star::table::CellProperties;

    //-------------------------------------------------------------------------

    /** provides access to the cell contents.
     */
    interface com::sun::star::table::XCell;

    //-------------------------------------------------------------------------

    /** provides access to formatted and unformatted text contents.
     */
    interface com::sun::star::text::XText;

};

//=============================================================================

}; }; }; };

#endif

